Package com.sas.metadata.remote

# Interface Index

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `PrimaryType`, `Remote`, `Root`

public interface Index extends PrimaryType
Represents an index on a physical structure. It is tied to the columns that make up the index.

Attributes of Index are:

- `IsClustered`
- `IsUnique`
- `IndexName`
- `IsNoMiss`

Associations of Index are:

- `Columns`
- `OwningPhysicalTable`

## Usage

To create an instance of this Index, use the `factory` create methods.
Example: create a Index with name "Index_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     Index myObject = (Index) factory.createComplexMetadataObject(objectStore, "Index_Object", MetadataObjects.INDEX, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_COLUMNS_NAME`
  Constant used for the name of the Columns association.
  `static final String`
  `ASSOCIATION_OWNINGPHYSICALTABLE_NAME`
  Constant used for the name of the OwningPhysicalTable association.
  `static final String`
  `ATTRIBUTE_INDEXNAME_NAME`
  Constant used for the name of the IndexName attribute.
  `static final String`
  `ATTRIBUTE_ISCLUSTERED_NAME`
  Constant used for the name of the IsClustered attribute.
  `static final String`
  `ATTRIBUTE_ISNOMISS_NAME`
  Constant used for the name of the IsNoMiss attribute.
  `static final String`
  `ATTRIBUTE_ISUNIQUE_NAME`
  Constant used for the name of the IsUnique attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.PrimaryType

  `ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AssociationList`
  `getColumns()`
  Gets the AssociationList of `Columns`
  `AssociationList`
  `getColumns(boolean fGoToServer)`
  Gets the Associationlist of `Columns`
  `String`
  `getIndexName()`
  Gets the `String` value of `IndexName`
  `int`
  `getIndexNameMaxLength()`
  Gets the maximum length of `IndexName`
  `int`
  `getIndexNameState()`
  Gets the Metadata State of `IndexName`
  `int`
  `getIsClustered()`
  Gets the `int` value of `IsClustered`
  `int`
  `getIsClusteredState()`
  Gets the Metadata State of `IsClustered`
  `int`
  `getIsNoMiss()`
  Gets the `int` value of `IsNoMiss`
  `int`
  `getIsNoMissState()`
  Gets the Metadata State of `IsNoMiss`
  `int`
  `getIsUnique()`
  Gets the `int` value of `IsUnique`
  `int`
  `getIsUniqueState()`
  Gets the Metadata State of `IsUnique`
  `PhysicalTable`
  `getOwningPhysicalTable()`
  Gets the `PhysicalTable` for `OwningPhysicalTable`
  `AssociationList`
  `getOwningPhysicalTables()`
  Gets the Association list of `OwningPhysicalTables`
  `AssociationList`
  `getOwningPhysicalTables(boolean fGoToServer)`
  Gets the Associationlist of `OwningPhysicalTables`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `Columns`
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `OwningPhysicalTable`
  `void`
  `setColumns(AssociationList list)`
  Sets the `Columns` list to be `list`.
  `void`
  `setColumns(AssociationList inObjects, int state)`
  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
  `void`
  `setIndexName(String inIndexName)`
  Sets the `IndexName` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIndexName(String inIndexName, int state)`
  Sets the `IndexName` Metadata State.
  `void`
  `setIndexNameState(int state)`
  Sets the Metadata State of `IndexName`.
  `void`
  `setIsClustered(int inIsClustered)`
  Sets the `IsClustered` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsClustered(int inIsClustered, int state)`
  Sets the `IsClustered` Metadata State.
  `void`
  `setIsClustered(String inIsClustered)`
  Sets the `IsClustered` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsClustered(String inIsClustered, int state)`
  Sets the `IsClustered` value and Metadata State.
  `void`
  `setIsClusteredState(int state)`
  Sets the Metadata State of `IsClustered`.
  `void`
  `setIsNoMiss(int inIsNoMiss)`
  Sets the `IsNoMiss` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsNoMiss(int inIsNoMiss, int state)`
  Sets the `IsNoMiss` Metadata State.
  `void`
  `setIsNoMiss(String inIsNoMiss)`
  Sets the `IsNoMiss` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsNoMiss(String inIsNoMiss, int state)`
  Sets the `IsNoMiss` value and Metadata State.
  `void`
  `setIsNoMissState(int state)`
  Sets the Metadata State of `IsNoMiss`.
  `void`
  `setIsUnique(int inIsUnique)`
  Sets the `IsUnique` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsUnique(int inIsUnique, int state)`
  Sets the `IsUnique` Metadata State.
  `void`
  `setIsUnique(String inIsUnique)`
  Sets the `IsUnique` value and sets the state to MetadataState.LOCAL.
  `void`
  `setIsUnique(String inIsUnique, int state)`
  Sets the `IsUnique` value and Metadata State.
  `void`
  `setIsUniqueState(int state)`
  Sets the Metadata State of `IsUnique`.
  `void`
  `setOwningPhysicalTable(PhysicalTable inObject)`
  Sets the `OwningPhysicalTables` list 0th element to be `inObject`.
  `void`
  `setOwningPhysicalTables(AssociationList list)`
  Sets the `OwningPhysicalTables` list to be `list`.
  `void`
  `setOwningPhysicalTables(AssociationList list, int state)`
  Sets the `OwningPhysicalTables` list to be `list`.

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.PrimaryType

  `getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_ISCLUSTERED_NAME

    static final String ATTRIBUTE_ISCLUSTERED_NAME
    Constant used for the name of the IsClustered attribute.

    IsClustered: This attribute indicates that this index supports clustering.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ISUNIQUE_NAME

    static final String ATTRIBUTE_ISUNIQUE_NAME
    Constant used for the name of the IsUnique attribute.

    IsUnique: This attribute indicates whether this index is a unique index or not.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_INDEXNAME_NAME

    static final String ATTRIBUTE_INDEXNAME_NAME
    Constant used for the name of the IndexName attribute.

    IndexName: The name of the index.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ISNOMISS_NAME

    static final String ATTRIBUTE_ISNOMISS_NAME
    Constant used for the name of the IsNoMiss attribute.

    IsNoMiss: If true, then missing values are not maintained by the index

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_COLUMNS_NAME

    static final String ASSOCIATION_COLUMNS_NAME
    Constant used for the name of the Columns association.

    Columns: The list of columns that are indexed by this index.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_OWNINGPHYSICALTABLE_NAME

    static final String ASSOCIATION_OWNINGPHYSICALTABLE_NAME
    Constant used for the name of the OwningPhysicalTable association.

    OwningPhysicalTable: The table that is indexed by this object.

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    `OwningPhysicalTable`
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `PrimaryType`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    `Columns`
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `PrimaryType`
    Specified by:
      `initializePredObjects` in interface `Root`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsClustered

    int getIsClustered() throws RemoteException
    Gets the `int` value of `IsClustered`
    Returns:
      The `IsClustered`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsClusteredState

    int getIsClusteredState() throws RemoteException
    Gets the Metadata State of `IsClustered`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsUnique

    int getIsUnique() throws RemoteException
    Gets the `int` value of `IsUnique`
    Returns:
      The `IsUnique`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsUniqueState

    int getIsUniqueState() throws RemoteException
    Gets the Metadata State of `IsUnique`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIndexName

    String getIndexName() throws RemoteException
    Gets the `String` value of `IndexName`
    Returns:
      The `IndexName`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIndexNameState

    int getIndexNameState() throws RemoteException
    Gets the Metadata State of `IndexName`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIndexNameMaxLength

    int getIndexNameMaxLength() throws RemoteException
    Gets the maximum length of `IndexName`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsNoMiss

    int getIsNoMiss() throws RemoteException
    Gets the `int` value of `IsNoMiss`
    Returns:
      The `IsNoMiss`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIsNoMissState

    int getIsNoMissState() throws RemoteException
    Gets the Metadata State of `IsNoMiss`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getColumns

    AssociationList getColumns() throws RemoteException, MdException
    Gets the AssociationList of `Columns`
    Returns:
      Returns the AssociationList of `Columns` which can be of type:
      Column
      ColumnRange
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getOwningPhysicalTables

    AssociationList getOwningPhysicalTables() throws RemoteException, MdException
    Gets the Association list of `OwningPhysicalTables`
    Returns:
      The AssociationList of `OwningPhysicalTables` which can be of type:
      PhysicalTable
      WorkTable
      SecuredTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getOwningPhysicalTable

    PhysicalTable getOwningPhysicalTable() throws RemoteException, MdException
    Gets the `PhysicalTable` for `OwningPhysicalTable`
    Returns:
      The `PhysicalTable` ( `null` if not set ) of `OwningPhysicalTable` which can be of type:
      PhysicalTable
      WorkTable
      SecuredTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getColumns

    AssociationList getColumns(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `Columns`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the AssociationList of `Columns` which can be of type:
      Column
      ColumnRange
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getOwningPhysicalTables

    AssociationList getOwningPhysicalTables(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `OwningPhysicalTables`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `OwningPhysicalTables` which can be of type:
      PhysicalTable
      WorkTable
      SecuredTable
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setIsClustered

    void setIsClustered(int inIsClustered) throws RemoteException
    Sets the `IsClustered` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsClustered` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsClustered

    void setIsClustered(int inIsClustered, int state) throws RemoteException
    Sets the `IsClustered` Metadata State.
    Parameters:
      `inIsClustered` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsClustered

    void setIsClustered(String inIsClustered) throws RemoteException
    Sets the `IsClustered` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsClustered` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsClustered

    void setIsClustered(String inIsClustered, int state) throws RemoteException
    Sets the `IsClustered` value and Metadata State.
    Parameters:
      `inIsClustered` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsClusteredState

    void setIsClusteredState(int state) throws RemoteException
    Sets the Metadata State of `IsClustered`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsUnique

    void setIsUnique(int inIsUnique) throws RemoteException
    Sets the `IsUnique` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsUnique` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsUnique

    void setIsUnique(int inIsUnique, int state) throws RemoteException
    Sets the `IsUnique` Metadata State.
    Parameters:
      `inIsUnique` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsUnique

    void setIsUnique(String inIsUnique) throws RemoteException
    Sets the `IsUnique` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsUnique` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsUnique

    void setIsUnique(String inIsUnique, int state) throws RemoteException
    Sets the `IsUnique` value and Metadata State.
    Parameters:
      `inIsUnique` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsUniqueState

    void setIsUniqueState(int state) throws RemoteException
    Sets the Metadata State of `IsUnique`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIndexName

    void setIndexName(String inIndexName) throws RemoteException
    Sets the `IndexName` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIndexName` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIndexName

    void setIndexName(String inIndexName, int state) throws RemoteException
    Sets the `IndexName` Metadata State.
    Parameters:
      `inIndexName` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIndexNameState

    void setIndexNameState(int state) throws RemoteException
    Sets the Metadata State of `IndexName`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsNoMiss

    void setIsNoMiss(int inIsNoMiss) throws RemoteException
    Sets the `IsNoMiss` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsNoMiss` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsNoMiss

    void setIsNoMiss(int inIsNoMiss, int state) throws RemoteException
    Sets the `IsNoMiss` Metadata State.
    Parameters:
      `inIsNoMiss` - int
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsNoMiss

    void setIsNoMiss(String inIsNoMiss) throws RemoteException
    Sets the `IsNoMiss` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inIsNoMiss` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsNoMiss

    void setIsNoMiss(String inIsNoMiss, int state) throws RemoteException
    Sets the `IsNoMiss` value and Metadata State.
    Parameters:
      `inIsNoMiss` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setIsNoMissState

    void setIsNoMissState(int state) throws RemoteException
    Sets the Metadata State of `IsNoMiss`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setColumns

    void setColumns(AssociationList list) throws RemoteException
    Sets the `Columns` list to be `list`. Objects of which can be of type:
    Column
    ColumnRange
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setColumns

    void setColumns(AssociationList inObjects, int state) throws RemoteException
    Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOwningPhysicalTables

    void setOwningPhysicalTables(AssociationList list) throws RemoteException
    Sets the `OwningPhysicalTables` list to be `list`. Objects of which can be of type:
    PhysicalTable
    WorkTable
    SecuredTable
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOwningPhysicalTables

    void setOwningPhysicalTables(AssociationList list, int state) throws RemoteException
    Sets the `OwningPhysicalTables` list to be `list`. Objects of which can be of type:
    PhysicalTable
    WorkTable
    SecuredTable
    Parameters:
      `list` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setOwningPhysicalTable

    void setOwningPhysicalTable(PhysicalTable inObject) throws RemoteException
    Sets the `OwningPhysicalTables` list 0th element to be `inObject`.
    Parameters:
      `inObject` - PhysicalTable
    Throws:
      `RemoteException` - If error communicating with remote object.